varying vec2 v_texCoord;
varying vec2 v_texCoordSmall;

uniform float u_intensity;
void main()
{
    float interVal = 0.1 * u_intensity;
    vec4 diffuse = texture2D(CC_Texture1,v_texCoord);
    vec4 scatter = texture2D(CC_Texture2,v_texCoordSmall);
    
    gl_FragColor = mix(diffuse, scatter, interVal);

    //gl_FragColor = diffuse + interVal * scatter;
}
